/***********************************************************************
*                                                                      *
* COPYRIGHT (c) 2000   Century Software   All Rights Reserved          *
*                                                                      *
* This software is the property of Century Software and shall not be   *
* reproduced or copied in whole or  used in whole or in  part as the   *
* basis for the manufacture or sale of items, nor shall such copy be   *
* sold or constitute part of a sale without written permission.        *
*                                                                      *
* RESTRICTED RIGHTS LEGEND                                             *
*                                                                      *
* Use, duplication,  or disclosure by the government is subject to     *
* restriction as set forth in paragraph (b)(3)(b) of the Rights in     *
* Technical Data and Computer Software clause in DAR 7-104.9(a).       *
*                                                                      *
* CENTURY SOFTWARE                                                     *
* 5284 SOUTH 320 WEST - SUITE C-134                                    *
* MURRAY, UTAH   84107                                                 *
*                                                                      *
************************************************************************
*                                                                      *
* FILENAME: CLI.H                                                      *
*                                                                      *
***********************************************************************/
#ifndef CLI_H
#define CLI_H


/*
**
** Imported "Include" Files
**
*/



/*
**
** Global Constant Definitions
**
*/



/*
**
** Global Enumeration Definitions
**
*/



/*
**
** Global Structure Definitions
**
*/



/*
**
** Global Variable Declarations
**
*/
extern char gMapID[];
extern char gMapDir[];



/*
**
**  NAME: parseCommandLine()
**
** USAGE: int parseCommandLine(int argc, char **argv)
**
** DESCR: This function will parse the list of command line arguments
**        and recover their associated information.
**
** PARMS: The "argc" parameter specifies the number of arguments found in
**        the argv list. The "argv" parameter is a pointer to the array
**        of command line arguments.
**
** RETRN: If successful, the number of command line arguments parsed is
**        is returned. If an error occurs during function , a negative
**        value is returned.
**
*/
int parseCommandLine(int, char **);

#endif /* CLI_H */
