#ifndef X86_H
#define X86_H

/*
 * X86.H
 * Copyright 2000, Century Software Embedded Technologies
 */

/* 
 * DESCRIPTION:  This file contains the prototypes for
 *               the desktop platform specific functions
 *               
 * AUTHOR:       First draft, Jordan Crouse, 11/27/00
 */

/****** THIS FILE IS FOR INTERNAL LIBRARY USE ONLY ******/

#ifdef DEBUG
#define ETH0_FILE		"/home/trumanl/lumberjack/flnxapps/properties/ifcfg-eth0"
#define RESOLV_FILE 	"/home/trumanl/lumberjack/flnxapps/properties/ifcfg-eth0"
#else
#define ETH0_FILE		"/etc/sysconfig/network-scripts/ifcfg-eth0"
#define RESOLV_FILE	"/etc/resolv.conf"
#endif

#define X86_GATEWAY_FILE 	"/tmp/gateway"

int x86_set_nameserver(char *, char *, unsigned long *, int);
int x86_write_net_values(nxsys_ipaddr_str_t, nxsys_dns_t);
int x86_get_net_value(char *, char *);

#endif
