#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "cmdblock.h"
#include "sharedclient.h"



/*
**
** Local Constant Definitions
**
*/



/*
**
**
**
*/
int main(int argc, char *argv[])
{
  // attach to the shared memory
  if(clientMemoryAttach() != 0)
  {
    printf("Unable to attach to shared memory...\n");
    exit(1);
  }

  // display contents
  printf("\n------ WMCmdBlock ------\n");
  printf("    status: %d\n",cmd_block->status);
  printf("   command: %d\n",cmd_block->command);
  printf("     parm1: \"%s\"\n",cmd_block->parm1);
  printf("     parm2: \"%s\"\n",cmd_block->parm2);
  printf("     parm3: %d\n",cmd_block->parm3);
  printf("     parm4: %d\n",cmd_block->parm4);

  // display shared memory info
  system("ipcs -m");

  // do housekeeping
  clientMemoryDetach();

  // exit with no errors
  return(0);
}
