#ifndef CATAGORIES_H
#define CATAGORIES_H

typedef struct
{
  NXLIST next;
  
  int index;
  char name[25]; /* This is the raw name specified by the user */
  char title[25]; /* This is a nicely formated title */
  
  NXLISTHEAD applist;
} CATAGORY;

typedef struct
{
  NXLIST link;
  APP *app;
} CATAPPLIST;

int get_current_virtwin();
int get_catagory_count();

CATAGORY* get_cat_by_window(int);
CATAGORY* get_current_catagory(void);

int set_current_catagory(int);
int switch_catagory(int);

int get_catagory_index(char *);
int add_app_to_catagory(int, APP *);

CATAGORY *get_next_catagory(CATAGORY *cat);
CATAGORY *get_previous_catagory(CATAGORY *cat);

void load_catagory_config(char *);

#endif
