#ifndef SETTINGS_H
#define SETTINGS_H

#include "nano-X.h"

/* These are the default settings */
/* Change them as you see fit     */

#define DEFAULT_WALLPAPER	"cenlogo.gif"
#define DEFAULT_BGCOLOR         COLOR_DESKTOP
#define DEFAULT_ICONCOLOR       COLOR_DESKTOP
#define DEFAULT_ICONTEXT        COLOR_ICONTEXT

#define WALLPAPER_NONE     0x00
#define WALLPAPER_TILED    0x01
#define WALLPAPER_CENTERED 0x02
#define WALLPAPER_FULLSCREEN 0x04
#define WALLPAPER_BOTTOM     0x05

#define WM_BGCOLOR         0x01
#define WM_ICONCOLOR       0x02
#define WM_ICONTEXT        0x03

int wm_get_wallpaper(GR_IMAGE_ID *, int *);
GR_COLOR wm_get_color(int);
void wm_load_config_settings();
void wm_set_defaults();

void desktop_expand_path(char *, char *, int);

#endif

