#ifndef LINUX_H
#define LINUX_H

/*
 * LINUX.H
 * Copyright 2000, Century Software Embedded Technologies
 */

/* 
 * DESCRIPTION:  This file contains the prototypes for
 *               the Linux OS specific functions
 *               
 * AUTHOR:       First draft, Jordan Crouse, 11/27/00
 */

/****** THIS FILE IS FOR INTERNAL LIBRARY USE ONLY ******/

/* Files */

int linux_set_date(nxsys_date_t *);
int linux_get_date(nxsys_date_t *);
int linux_get_cpu_load(nxsys_cpu_t *);
int linux_get_memory_usage(nxsys_memory_t *);

#endif
