#ifndef LINUX_PPP_H
#define LINUX_PPP_H

/*
 * LINUX_PPP.H
 * Copyright 2000, Century Software Embedded Technologies
 */

/* 
 * DESCRIPTION:  This file contains the prototypes for
 *               The linux specific PPP functions 
 *               
 * AUTHOR:       First draft, Jordan Crouse, 11/29/00
 */

/****** THIS FILE IS FOR INTERNAL LIBRARY USE ONLY ******/

int linux_ppp_connect(int, nxcomm_ppp_options_t *, char **, int, int, char *);
int linux_ppp_disconnect(char *);
int linux_ppp_get_stats(char *, nxcomm_ppp_stats_t *);
int linux_ppp_write_info(char *, nxcomm_ppp_info_t *);
int linux_ppp_read_info(char *, nxcomm_ppp_info_t *);
int linux_ppp_ip_address(char *, nxcomm_ppp_options_t *);

#endif
