#ifndef FILETOOL_H
#define FILETOOL_H



/*
**
** Imported "Inlcude" Files
**
*/



/*
**
** Global Constant Definitions
**
*/



/*
**
**  NAME: copyFileToFile()
**
** USAGE: int copyFileToFile(char *dstfile, char *srcfile);
**
** DESCR: This function will copy and rename the specified file to the 
**        specified directory.
**
** PARMS: The "dstfile" parameter is a pointer to a buffer that contains the
**        destination filename and optional path. The "srcfile" parameter is
**        a pointer to a buffer that contains the source filename and optional
**        path.
**
** RETRN: If successful, '0' is returned. If an error occurs during function
**        execution, a non-zero value is returned that describes the error.
**
*/
int copyFileToFile(char *, char *);

#endif /* FILETOOL_H */
