#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "cmdblock.h"
#include "sharedclient.h"



/*
**
** Local Constant Definitions
**
*/



/*
**
**
**
*/
int main(int argc, char *argv[])
{
  // attach to shared memory
  if(clientMemoryAttach() != 0)
  {
    printf("Unable to attach to shared memory...\n");
    exit(1);
  }

  // reset contents
  cmd_block->status = WMSTATUS_IDLE;
  cmd_block->command = WMCMD_NONE;
  *cmd_block->parm1 = 0x00;
  *cmd_block->parm2 = 0x00;
  cmd_block->parm3 = 0;
  cmd_block->parm4 = 0;

  // do housekeeping
  clientMemoryDetach();

  // exit with no errors
  return(0);
}
